## tarsnap-autoconf-1.0.25.tgz

=== lib/Makefile ===
LIB	=	tarsnap
WARNS	?=	6
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Crypto code
.PATH	:	crypto
SRCS	+=	crypto_aesctr.c
SRCS	+=	crypto_dh.c
SRCS	+=	crypto_dh_group14.c
SRCS	+=	crypto_entropy.c
SRCS	+=	crypto_file.c
SRCS	+=	crypto_hash.c
SRCS	+=	crypto_keys.c
SRCS	+=	crypto_keys_server.c
SRCS	+=	crypto_keys_subr.c
SRCS	+=	crypto_passwd_to_dh.c
SRCS	+=	crypto_rsa.c
SRCS	+=	crypto_scrypt-nosse.c
SRCS	+=	crypto_session.c
SRCS	+=	crypto_verify_bytes.c
SRCS	+=	sha256.c
CFLAGS	+=	-I crypto

# Data structures
.PATH	:	datastruct
SRCS	+=	rwhashtab.c
SRCS	+=	patricia.c
CFLAGS	+=	-I datastruct

# Key file handling code
.PATH	:	keyfile
SRCS	+=	keyfile.c
CFLAGS	+=	-I keyfile

# Tarsnap request-response protocol code
.PATH	:	netpacket
SRCS	+=	netpacket_delete.c
SRCS	+=	netpacket_directory.c
SRCS	+=	netpacket_hmac.c
SRCS	+=	netpacket_op.c
SRCS	+=	netpacket_read.c
SRCS	+=	netpacket_register.c
SRCS	+=	netpacket_transaction.c
SRCS	+=	netpacket_write.c
CFLAGS	+=	-I netpacket

# Tarsnap client-server code
.PATH	:	netproto
SRCS	+=	netproto.c
SRCS	+=	netproto_connect.c
SRCS	+=	netproto_keyexchange.c
SRCS	+=	netproto_packet.c
CFLAGS	+=	-I netproto

# Non-blocking network routines
.PATH	:	network
SRCS	+=	network_buf.c
SRCS	+=	network_connect.c
SRCS	+=	network_cork.c
SRCS	+=	network_select.c
SRCS	+=	network_writeq.c
CFLAGS	+=	-I network

# scryptenc code
.PATH	:	scryptenc
SRCS	+=	scryptenc.c
SRCS	+=	scryptenc_cpuperf.c
CFLAGS	+=	-I scryptenc

# Utility code
.PATH	:	util
SRCS	+=	asprintf.c
SRCS	+=	b64encode.c
SRCS	+=	dirutil.c
SRCS	+=	entropy.c
SRCS	+=	hexify.c
SRCS	+=	hexlink.c
SRCS	+=	humansize.c
SRCS	+=	memlimit.c
SRCS	+=	readpass.c
SRCS	+=	sigquit.c
SRCS	+=	warnp.c
CFLAGS	+=	-I util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.else
NO_PROFILE=	YES
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.lib.mk>

=== tar/Makefile ===
PROG	=	tarsnap
SRCS	=	bsdtar.c cmdline.c getdate.c matching.c read.c siginfo.c subst.c tree.c util.c write.c
MAN1	=	tarsnap.1
MAN5	=	tarsnap.conf.5
WARNS	?=	6
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPACKAGE_VERSION=\"${TARVERSION}\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-I ${.CURDIR}

# Install sample configuration file
FILESGROUPS	+=	CONFIG
CONFIGDIR	?=	/usr/local/etc
CONFIG		=	tarsnap.conf.sample

# Location of system tarsnap configuration file
CFLAGS	+=	-DETC_TARSNAP_CONF=\"${CONFIGDIR}/tarsnap.conf\"

# Generate tarsnap.1 and tarsnap.conf.5 via sed.
CLEANFILES	+=	tarsnap.1 tarsnap.conf.5
tarsnap.1:	bsdtar.1
	cat bsdtar.1 |					\
	    sed -e 's|@CONFIGDIR@|${CONFIGDIR}|g' > tarsnap.1
tarsnap.conf.5:	tarsnap.conf.5.in
	cat tarsnap.conf.5.in |					\
	    sed -e 's|@CONFIGDIR@|${CONFIGDIR}|g' > tarsnap.conf.5

# Use our own version of libarchive
.if defined(PROFILE)
LDADD	+=	../libarchive/libarchive_p.a
${PROG}	:	../libarchive/libarchive_p.a
.else
LDADD	+=	../libarchive/libarchive.a
${PROG}	:	../libarchive/libarchive.a
.endif
CFLAGS	+=	-I ${.OBJDIR}/../libarchive

# Tarsnap library code
.if defined(PROFILE)
LDADD	+=	../lib/libtarsnap_p.a
${PROG}	:	../lib/libtarsnap_p.a
.else
LDADD	+=	../lib/libtarsnap.a
${PROG}	:	../lib/libtarsnap.a
.endif

# Other libraries used
LDADD	+=	-lz -lbz2 -lcrypto

# Code which interfaces between multiple layers.
.PATH.c	:	./glue
SRCS	+=	archive_multitape.c
SRCS	+=	tape.c
CFLAGS	+=	-I ./glue

# Chunkification cache
.PATH.c	:	./ccache
SRCS	+=	ccache_entry.c
SRCS	+=	ccache_read.c
SRCS	+=	ccache_write.c
CFLAGS	+=	-I ./ccache

# Multitape code
.PATH.c	:	./multitape
SRCS	+=	chunkify.c
SRCS	+=	multitape_write.c
SRCS	+=	multitape_read.c
SRCS	+=	multitape_stats.c
SRCS	+=	multitape_delete.c
SRCS	+=	multitape_fsck.c
SRCS	+=	multitape_nuke.c
SRCS	+=	multitape_chunkiter.c
SRCS	+=	multitape_metadata.c
SRCS	+=	multitape_metaindex.c
SRCS	+=	multitape_transaction.c
CFLAGS	+=	-I ./multitape

# Chunk layer
.PATH.c	:	./chunks
SRCS	+=	chunks_write.c
SRCS	+=	chunks_read.c
SRCS	+=	chunks_stats.c
SRCS	+=	chunks_delete.c 
SRCS	+=	chunks_transaction.c
SRCS	+=	chunks_stats_internal.c
SRCS	+=	chunks_directory.c
CFLAGS	+=	-I ./chunks

# Storage layer
.PATH.c	:	./storage
SRCS	+=	storage_write.c
SRCS	+=	storage_read.c
SRCS	+=	storage_delete.c
SRCS	+=	storage_directory.c
SRCS	+=	storage_transaction.c
CFLAGS	+=	-I ./storage

# Client-server protocol layer
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
CFLAGS	+=	-I ../lib/netproto

# Network layer
CFLAGS	+=	-I ../lib/network

# Data structures
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
CFLAGS	+=	-I ../lib/crypto

# Keyfile handling code
CFLAGS	+=	-I ../lib/keyfile

# Utility code
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
CFLAGS	+=	-O1
.endif
.if defined(DEBUG_SELECTSTATS)
CFLAGS	+=	-DDEBUG_SELECTSTATS
.endif

.include <bsd.prog.mk>

=== pkg/debian/changelog ===
tarsnap (1.0.25) unstable; urgency=low

  * New version of tarsnap makes it possible for more options to be specified
    via configuration files, and for options set in configuration files to be
    unset at the command line.

 -- Colin Percival <cperciva@tarsnap.com>  Fri, 10 Jul 2009 10:50:12 +0000

tarsnap (1.0.24) unstable; urgency=low

  * New version of tarsnap updates underlying libarchive version to 2.7.0
    and reorganizes the source code and build process.

 -- Colin Percival <cperciva@tarsnap.com>  Sun, 21 Jun 2009 02:52:31 +0000

tarsnap (1.0.23) unstable; urgency=low

  * New version of tarsnap adds new features, improves resilience in the
    presence of transient network errors, and fixes minor bugs.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 10 Jun 2009 12:21:56 +0000

tarsnap (1.0.22) unstable; urgency=low

  * New version of tarsnap adds support for passphrase-protected key files
    using the scrypt key derivation function.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 3 Jun 2009 23:21:44 +0000

tarsnap (1.0.21) unstable; urgency=critical (low for users of tarsnap 1.0.19 or earlier)

  * New version of tarsnap fixes serious bug in the chunk cache when a
    checkpoint is created in the middle of a file.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 5 Mar 2009 01:12:50 +0000

tarsnap (1.0.20) unstable; urgency=low

  * Fixed typo in sed code for changing default cachedir.
  * Removed unnecessary dependency on autotools-dev.
  * Added dependency on libbz2-dev (not required, but tarsnap will take
    advantage of libbz2 if it is present).
  * Removed unnecessary CONFIGDIR= from ./configure invocation (the
    autoconf logic handles this already).

 -- Colin Percival <cperciva@tarsnap.com>  Sat, 31 Jan 2009 22:54:01 +0000

tarsnap (1.0.19-1) unstable; urgency=low

  * Fixed default config file location and cachedir.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 19:48:41 +0100

tarsnap (1.0.19) unstable; urgency=low

  * Initial Release.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 14:25:54 +0100

=== pkg/archlinux/PKGBUILD ===
# Contributor: Aaron Schaefer <aaron@elasticdog.com>
pkgname=tarsnap
pkgver=1.0.19
pkgrel=1
pkgdesc="An online encrypted snapshotted backup service"
arch=('i686' 'x86_64')
url='http://www.tarsnap.com/'
license=('custom')
depends=('bzip2' 'openssl')
makedepends=('e2fsprogs')
source=("https://beta.tarsnap.com/download/$pkgname-autoconf-$pkgver.tgz")
md5sums=('bf9a3a57ad997462dd71ad9f07ffb66c')
sha256sums=('7cd94c5238b992a5f2fdbe8e5a555fd745bcd6b47c312632482f4de32d183fd6')

build() {
  cd "$srcdir/$pkgname-autoconf-$pkgver"

  ./configure --prefix=/usr --sysconfdir="/etc/$pkgname"
  make || return 1
  make DESTDIR="$pkgdir/" install

  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
}
